commit:     d261646ca1007bca2ec45980262157d0fb2e44b2
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 26 06:36:34 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Jan 26 06:36:34 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d261646c

dev-ruby/activesupport: add rails 4.2.5.1

Package-Manager: portage-2.2.26

 dev-ruby/activesupport/Manifest                    |  1 +
 .../activesupport/activesupport-4.2.5.1.ebuild     | 61 ++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-ruby/activesupport/Manifest b/dev-ruby/activesupport/Manifest
index 36a4eb8..e2868da 100644
--- a/dev-ruby/activesupport/Manifest
+++ b/dev-ruby/activesupport/Manifest
@@ -3,4 +3,5 @@ DIST rails-4.0.13.tgz 3761572 SHA256 
a693a8c5f767d153e765634cecb6356855ca51b6554
 DIST rails-4.1.13.tgz 3726822 SHA256 
94112f3398c5ffd5e53ce959969c133b35386ade0a9d845eaead4237a5546335 SHA512 
8fef27cfbe898fc691562d9a6d543816c3e5c08c4c114b01115024e573b6d49568bca13da9d4574cfe0b76cc778c734e4a24def7047c90fb1c6d1c78553bcee3
 WHIRLPOOL 
321e60e7f51026e6c79c9f1cf128b349dbab08ed17d8f20fb034f1317c8498edcdaebf166fa30995abc80c6a4cd691408b3b4046adf11086899cd995e94c7d0a
 DIST rails-4.1.14.tgz 3727638 SHA256 
c3e8c22e05287f98271dafb7dc512fa25878b65c5bd5d5719216b30e653a3a05 SHA512 
94643cef73c0bb0cb8d30295d155a2dece9b2d9a547f7814dffa5e618bc76b7910cb369ac33538fb7be8efb728ea4dd87f6bdf30d2b7cbea2c401509e6de5b71
 WHIRLPOOL 
4d5bce5a73ecb71f2d4244076295b5ad1a04bc67c7b488bd0145127e26bb7fcc31f4de74307e3ace2756d809c44c7ddbd79411fdad40f5a65e1e79a2a861a67b
 DIST rails-4.2.4.tgz 4166672 SHA256 
cc6618eaa2c640932e803dfac6bbde135fad3a6874dfc4e547712ec9182241d4 SHA512 
7ce9fabdd302ce8fd1077147e6e45926ba12aa4177d2e1b78775a8fb3b80420f09c4076ecf726f410610a38187f2a8abeaff3d2b1de25e8386685db998bd2308
 WHIRLPOOL 
0e7bce539ba3c20f5c7de965af478505d76ebad0fd42498b13cb9a9c576304ad9694dd218bc6debf7a02cb437bebc5f75425c104956d32f4afefd1cc2c020d8d
+DIST rails-4.2.5.1.tgz 4175926 SHA256 
713da4f88244101457b4de5d08007f4b373cb43c3982d72de70bb5c5145afb46 SHA512 
3c74d825f35a71dd80a0e1d3959cc6d9e52da0f2eb43bfb869da22a8117ba4f66df1de183851b7cd9e3c2cc8a0b5a8ae4e6902d3b43afd52ccdd20470b49801d
 WHIRLPOOL 
dfb4f925468cfbadd73fd54eb146e377df8e4d67aa094076dd928c616d6cfddb9084cee2adb220490df0c34627a99b150118bc7827b2ca5f6d0751611993b53f
 DIST rails-4.2.5.tgz 4174680 SHA256 
adda75f10fc4b7eb498ae9a2b04cb92bd69568fc1a9d6ace27cc1ab203af5a2e SHA512 
808d7eaf135f3f6b4b504372615b42e4b7c7f9fa0acdd2c425c9548852d24f143ad3abb38aa95d99212f9198f5a04dda2a6312f3e2d5e9a63173388cb30736e1
 WHIRLPOOL 
f1e8af458b6a922bdb4a214476b145a5e743603ae0ad7b977a8917f9204028cce4da3ee1780118b555924af74319f81d83c42390fc35d010ba881fa03bb30d55

diff --git a/dev-ruby/activesupport/activesupport-4.2.5.1.ebuild 
b/dev-ruby/activesupport/activesupport-4.2.5.1.ebuild
new file mode 100644
index 0000000..5615ead
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-4.2.5.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~ppc-macos ~x64-macos 
~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+       >=dev-ruby/i18n-0.7:0.7
+       >=dev-ruby/json-1.7.7:0
+       >=dev-ruby/tzinfo-1.1:1
+       >=dev-ruby/minitest-5.1:5
+       >=dev-ruby/thread_safe-0.3.4:0"
+
+# memcache-client, nokogiri, and builder are not strictly
+# needed, but there are tests using this code.
+ruby_add_bdepend "test? (
+       >=dev-ruby/dalli-2.2.1
+       >=dev-ruby/nokogiri-1.4.5
+       >=dev-ruby/builder-3.1.0
+       >=dev-ruby/libxml-2.0.0
+       )"
+
+all_ruby_prepare() {
+       # Set the secure permissions that tests expect.
+       chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+       # Set test environment to our hand.
+#      rm "${S}/../Gemfile" || die "Unable to remove Gemfile"
+       sed -i -e '/load_paths/d' test/abstract_unit.rb || die "Unable to 
remove load paths"
+
+       # Avoid test that seems to be broken by lack of DST.
+       sed -i -e '369 s:^:#:' test/core_ext/string_ext_test.rb || die
+
+       # Avoid test that fails with Minitest 5.4 since that already defines
+       # a string E in its TestCase.
+       rm test/core_ext/marshal_test.rb || die
+       sed -i -e '/test_const_missing_in_anonymous_modules/askip "gentoo 
minitest"' test/dependencies_test.rb || die
+}

Reply via email to